# GetVariableData | windmill-client
Documentation for windmill-client

# Type Alias GetVariableData

GetVariableData: {
decryptSecret?: boolean;
includeEncrypted?: boolean;
path: string;
workspace: string;
}

#### Type declaration

- ##### `Optional` decryptSecret?: boolean

  ask to decrypt secret if this variable is secret (if not secret no effect, default: true)

- ##### `Optional` includeEncrypted?: boolean

  ask to include the encrypted value if secret and decrypt secret is not true (default: false)

- ##### path: string

- ##### workspace: string

- Defined in src/types.gen.ts:2101